#### MyBookreader2.py

from tkinter import *
from tkinter.scrolledtext import *
import os

# Initialise variables:
text_box_width = 75
text_box_height = 25
paper_colour = "linen"
current_chapter = 1

book_title = "Black Flag"
image_path="Library/" + book_title + "/cover.gif"
button1 = '<- BACK'
button2='FORWARD ->'
button3='QUIT'

# Functions
def forward():
    global current_chapter
    if (current_chapter < count_chapters()):
        current_chapter = current_chapter+1
        update_chapter_contents()
        update_chapter_label()

def back():
    global current_chapter
    if (current_chapter > 1):
        current_chapter = current_chapter-1
        update_chapter_contents()
        update_chapter_label()

def update_chapter_contents():
    chapter_path = "Library/" + book_title + "/Chapter" + str(current_chapter) + ".txt"
    filein = open(chapter_path, encoding="utf-8")
    book_content = filein.read()
    filein.close()
    chapter_text.delete(1.0, END) # Clear previous chapter text
    chapter_text.insert(END, book_content)

def count_chapters():
    number_of_chapters = 0
    path = "Library/" + book_title
    files = os.listdir(path)
    for file in files:
        if file[:5] == "Chapt":
            number_of_chapters = number_of_chapters+1
    return number_of_chapters

def update_chapter_label():
    chapter_label_text = "Chapter " + str(current_chapter)
    chapter_label.config(text=chapter_label_text)

def quit_MyBook():
    window.withdraw()
    window.quit()

##### Main:
window = Tk()
window.title("MyBook Reader")

# Create title box
title = Text(window, width=text_box_width, height=1, background=paper_colour)
title.grid(row=0, column=0, sticky=W)

# Add book title
title.insert(END, book_title)

# Create text box
chapter_text = ScrolledText(window, width=text_box_width, height=text_box_height, wrap=WORD, background=paper_colour)
chapter_text.grid(row=1, column=0, sticky=W)

# Add text from first chapter
update_chapter_contents()

# Add frame to arrange buttons
buttons = Frame(window)
buttons.grid(row=2, column=0, sticky=S)

# Load buttons
Button(buttons, text=button1, width=10, command=back).grid(row=0, column=0)
Button(buttons, text=button2, width=10, command=forward).grid(row=0, column=1)
Button(window, text=button3, width=10, command=quit_MyBook).grid(row=0, column=1)

# Add the cover image in a label
book_image = PhotoImage(file=image_path)
picture_label = Label(image=book_image)
picture_label.grid(row=1, column=1, sticky=NW)

# Add chapter number label
chapter_label_text = "Chapter " + str(current_chapter)
chapter_label = Label(window, text=chapter_label_text)
chapter_label.grid(row=1, column=1, sticky=SW)

##### Run mainloop
window.mainloop()
