#### MyBookReader.py

# Import libraries:
from tkinter import *
from tkinter.scrolledtext import *

# Variables:
textbox_width = 50
textbox_height = 20
paper_colour = "linen"

book_title = "Black Flag"
book_path = "Library/" + book_title + "/content.txt"
image_path = "Library/" + book_title + "/cover.gif"

file_in = open(book_path, encoding="utf-8")
book_content = file_in.read()
file_in.close()

# Functions
def quit_MyBook():
    window.withdraw()
    window.quit()
    
##### main:
window = Tk()
window.title("MyBook Reader")

# Create title textbox
title = Text(window, width=textbox_width, height=1, background=paper_colour)
title.grid(row=0, column=0, sticky=W)

# Add book title
title.insert(END, book_title)

# Create scrolling textbox
chapter_text = ScrolledText(window, width=textbox_width, height=textbox_height,
                            background=paper_colour, wrap=WORD)
chapter_text.grid(row=1, column=0, sticky=W)

# Add text from first chapter
chapter_text.insert(END, book_content)

# Add the cover image in a label
book_image = PhotoImage(file=image_path)
picture_label = Label(image=book_image)
picture_label.grid(row=1, column=1, sticky=N)

# Add button
button1 = Button(window, text="QUIT", width=10, command=quit_MyBook)
button1.grid(row=0, column=1)

##### Run mainloop
window.mainloop()
