# rpg3.py
# This game has three rooms plus a short story
# The aim is to collect the phone and sim card and find a signal.

rooms = (
    { "name": "Reception",
      "item": "mobile phone" },
    
    { "name": "Hall" },
    
    { "name": "Lounge",
      "item": "sim card" }
    )

# Story divided into three acts each with three scenes
acts = (
    {
        "Reception": "You have left your phone somewhere but cannot find it.",
        "Hall": "The Hall is dusty and has a coat stand. There are two doors in the Hall.",
        "Lounge": "This is the Lounge or, as your sister likes to call it: The No-Reception."
    },
    {
        "Reception": "Your phone does not appear to work.",
        "Hall": "The Hall is dusty and has a coat stand... \nwhich just stands.",
        "Lounge":"Your phone does not appear to work."
    },
    {
        "Reception": "Finally, you have a working phone!\nRing ring...\nRing ring...\n\nPress 'Quit' to finish.",
        "Hall": "You are standing in a Hall with a coat stand... \n...also standing.",
        "Lounge": "You have a phone with a sim card but still cannot use it as there is no reception."
    }
)

backpack = []
current_location = 0

# Functions
def look():
    if "item" in rooms[current_location]:
        print("You can see a " + rooms[current_location]["item"])
    else:
        print("Nothing to see here.")

def grab():
    if "item" in rooms[current_location]:
        backpack.append(rooms[current_location]["item"])
        print("You now have the " + rooms[current_location]["item"])
        del rooms[current_location]["item"]
    else:
        print("Nothing to grab here.")

def inventory():
    if len(backpack) != 0:
        print(backpack)
    else:
        print("You have not collected anything yet.")

def move_north():
    global current_location
    if current_location > 0:
        current_location=current_location-1
    else:
        print("You have bumped into a wall.")

def move_south():
    global current_location
    if current_location < len(rooms)-1:
        current_location=current_location+1
    else:
        print("You have bumped into a wall.")

# Start game
name = input("Hi, welcome to my world.\nWhat is your name? ")
print("Have fun exploring my world", name, "\n\nHere are the commands:")
print("L = look\nG = grab\nI = inventory\nN = go north\nS = go south\nQ = quit.")

# Create infinite loop
while True:
    print("\nYou are in the", rooms[current_location]["name"])
    command = input("What do you want to do? ")
    if command == "L" or command == "l":
        look()
    elif command == "G" or command == "g":
        grab()
    elif (command == "I" or command == "i"):
        inventory()
    elif command == "N" or command == "n":
        move_north()
    elif command == "S" or command == "s":
        move_south()
    elif command == "Q" or command == "q":
        break
    else:
        print("\nPlease enter only L, G, I, N, S or Q ")

print("\nThanks for playing", name)

